#!/bin/sh

HOST=$1
BASEDIR=$2
NUM=$3

teamname="Thunderbots"

player="./sample_player"
coach="./sample_coach"

config="./player.conf"
config_dir="./formations-dt"
coach_config="./coach.conf"

opt="--player-config ${config} --config_dir ${config_dir}"
opt="${opt} -h ${HOST} -t ${teamname}"

coachopt="--coach-config ${coach_config}"
coachopt="${coachopt} -h ${HOST} -t ${teamname}"

cd $BASEDIR

case $NUM in
    1)
        $player $opt -g
        ;;
    12)
        $player --coach $coachopt
        ;;
    *)
        $player $opt
        ;;
esac
