#!/bin/sh

HOST=$1
BASEDIR=$2
NUM=$3

teamname="Thunderbots"

player="./sample_player"
coach="./sample_coach"

config="./player.conf"
config_dir="./formations-dt"
coach_config="./coach.conf"

opt="--player-config ${config} --config_dir ${config_dir}"
opt="${opt} -h ${HOST} -t ${teamname}"

coachopt="--coach-config ${coach_config}"
coachopt="${coachopt} -h ${HOST} -t ${teamname}"

cd $BASEDIR

$player $opt -g &
sleep 5
i=2
while [ $i -le 11 ]; do
	$player $opt &
	sleep 0.1
	i=`expr $i + 1`
done
sleep 3
$coach $coachopt &
sleep 1
